\chapter{Algorithm}



	
	\begin{algorithm}[H]
		\SetAlgoLined
		\KwResult{Write here the result }
		initialization\;
		\While{While condition}{
			instructions\;
			\eIf{condition}{
				instructions1\;
				instructions2\;
			}{
				instructions3\;
			}
		}
		\caption{How to write algorithms}
	\end{algorithm}
Algo 1
Algo 1
Algo 1
Algo 1
Algo 1


\begin{algorithm}[H]
	\SetAlgoLined
	\KwResult{Write here the result }
	\For{$t=T \rightarrow 1$}
	{
		\tcp{Output backprop}
	
		\tcp{RNN backprop}
		
	}
	\caption{Undefined algorithm}
\end{algorithm}


